Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 658398 - dev-games/cegui[ogre] with =dev-games/ogre-1.10.11: /usr/include/OGRE/OgrePrerequisites.h:344:62: error: conflicting declaration of template ‘template<class T> using SharedPtr = std::shared_ptr<_Tp>’
Summary: dev-games/cegui[ogre] with =dev-games/ogre-1.10.11: /usr/include/OGRE/OgrePre...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL: https://bitbucket.org/cegui/cegui/iss...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-18 12:39 UTC by Lars Wendler (Polynomial-C)
Modified: 2019-07-22 21:51 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,11.59 KB, text/plain)
2018-06-18 12:39 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2018-06-18 12:39:34 UTC
Created attachment 536176 [details]
build.log

Numerous error messages. See attached build.log file.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-06-18 16:07:36 UTC
$URL is probably related.
Comment 2 Sven Eden 2018-06-22 14:47:17 UTC
Good find. I have no spontaneous flash of inspiration, though.

It is a good thing that Ogre eventually got around to move forward to C++11, so I wouldn't want it to be forced on C++03 generally.

Currently --std=c++03 is explicitly set by the CEGUI Cmake build script when using gcc or clang. My first idea would be to take a look what happens if this is changed to --std=c++11...

Otherwise a USE flag on Ogre to disable C++11 support, with CEGUI leaning on its enabling, might be worth a look.
Comment 3 Sven Eden 2018-07-30 06:35:14 UTC
I am currently testing a fix for this while developing an ogre-2.1-compatible cegui-live-ebuild.

As I could see on bitbucket, the cegui devs already tested moving on to C++11, but reverted that last week.

However, it looks like the fix would be a rather tiny patch. If it works like I hope it does, I'll post the patch here.
This, however, could take a while, as I am testing ogre-1.10.12, ogre-1.11.1 and ogre-2.1.
Comment 4 Sven Eden 2018-08-03 05:14:55 UTC
The current branch 0.8 is *almost* compatible with ogre-1.10.x and ogre-1.11.x.
I have a (small) patch, but that's for my live ebuild.

However, I have put up both the ebuild and the patch in my overlay (seden via layman) for testing. Maybe it can be backported to the stable release.
But that remains to be seen, as there was already quite some development this year, both for support of Ogre 1.10+ in cegui-0.8*, and support for Ogre 2.1 in the default branch.

However, the version in my overlay builds against and works fine with both ogre-1.10.12 and ogre-1.11.1. See: https://bugs.gentoo.org/647266

Once I have the PR for the new Ogre releases ready and it got reviewed and merged, a PR for the cegui live ebuild plus patch might be in order?
Comment 5 Andreas Sturmlechner gentoo-dev 2018-09-21 19:26:44 UTC
(In reply to Sven Eden from comment #4)
> Once I have the PR for the new Ogre releases ready and it got reviewed and
> merged, a PR for the cegui live ebuild plus patch might be in order?
I know the remaining part of the dev-games/ogre PR has been pending for some time, but do you think you can come up with a PR for cegui fixed for >=ogre-1.10? That way we can give both ebuilds some testing and then stabilisation.
Comment 6 Sven Eden 2018-09-23 09:25:39 UTC
(In reply to Andreas Sturmlechner from comment #5)
> (In reply to Sven Eden from comment #4)
> > Once I have the PR for the new Ogre releases ready and it got reviewed and
> > merged, a PR for the cegui live ebuild plus patch might be in order?
> I know the remaining part of the dev-games/ogre PR has been pending for some
> time, but do you think you can come up with a PR for cegui fixed for
> >=ogre-1.10? That way we can give both ebuilds some testing and then
> stabilisation.

I could, yes. The remaining part of the dev-games/ogre PR is fixed, btw. Would you like to have a look in the meantime? I'll prepare a PR for cegui then.
Comment 7 Andreas Sturmlechner gentoo-dev 2018-09-24 16:56:08 UTC
Yes, I think the ogre PR is mergeable, but the moment we do this we lose all ~arch people to test 1.10.12 with revdeps such as cegui. So I'd like to fix this first, give it a bit of time, start stabilisation process, then get 1.11 in as new ~arch version.